<?xml version="1.0" encoding="utf-8"?>
<form
	addrulepath="/administrator/components/com_sermondistributor/models/rules"
	addfieldpath="/administrator/components/com_sermondistributor/models/fields"
>
	<fieldset name="details">
		<!-- Default Fields. -->
		<!-- Id Field. Type: Text (joomla) -->
		<field
			name="id"
			type="text" class="readonly" label="JGLOBAL_FIELD_ID_LABEL"
			description ="JGLOBAL_FIELD_ID_DESC" size="10" default="0"
			readonly="true"
		/>
		<!-- Date Created Field. Type: Calendar (joomla) -->
		<field
			name="created"
			type="calendar"
			label="COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_CREATED_DATE_LABEL"
			description="COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_CREATED_DATE_DESC"
			size="22"
			format="%Y-%m-%d %H:%M:%S"
			filter="user_utc"
		/>
		<!-- User Created Field. Type: User (joomla) -->
		<field
			name="created_by"
			type="user"
			label="COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_CREATED_BY_LABEL"
			description="COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_CREATED_BY_DESC"
		/>
		<!-- Published Field. Type: List (joomla) -->
		<field name="published" type="list" label="JSTATUS"
			description="JFIELD_PUBLISHED_DESC" class="chzn-color-state"
			filter="intval" size="1" default="1" >
			<option value="1">
				JPUBLISHED</option>
			<option value="0">
				JUNPUBLISHED</option>
			<option value="2">
				JARCHIVED</option>
			<option value="-2">
				JTRASHED</option>
		</field>
		<!-- Date Modified Field. Type: Calendar (joomla) -->
		<field name="modified" type="calendar" class="readonly"
			label="COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_MODIFIED_DATE_LABEL" description="COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_MODIFIED_DATE_DESC"
			size="22" readonly="true" format="%Y-%m-%d %H:%M:%S" filter="user_utc" />
		<!-- User Modified Field. Type: User (joomla) -->
		<field name="modified_by" type="user"
			label="COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_MODIFIED_BY_LABEL"
			description="COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_MODIFIED_BY_DESC"
			class="readonly"
			readonly="true"
			filter="unset"
		/>
		<!-- Ordering Field. Type: Numbers (joomla) -->
		<field
			name="ordering"
			type="number"
			class="inputbox validate-ordering"
			label="COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_ORDERING_LABEL"
			description=""
			default="0"
			size="6"
			required="false"
		/>
		<!-- Version Field. Type: Text (joomla) -->
		<field
			name="version"
			type="text"
			class="readonly"
			label="COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_VERSION_LABEL"
			description="COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_VERSION_DESC"
			size="6"
			default="1"
			readonly="true"
			filter="unset"
		/>
		<!-- Was added due to Permissions JS needing a Title field -->
		<!-- Let us know at gh-629 should this change -->
		<!-- https://github.com/vdm-io/Joomla-Component-Builder/issues/629#issuecomment-750117235 -->
		<field
			name="title"
			type="hidden"
			default="sermondistributor external_source"
		/>
		<!-- Dynamic Fields. -->
		<!-- Description Field. Type: Text. (joomla) -->
		<field
			type="text"
			name="description"
			label="COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_DESCRIPTION_LABEL"
			size="80"
			maxlength="150"
			description="COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_DESCRIPTION_DESCRIPTION"
			class="text_area"
			readonly="false"
			disabled="false"
			required="true"
			filter="STRING"
			message="COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_DESCRIPTION_MESSAGE"
			hint="COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_DESCRIPTION_HINT"
		/>
		<!-- Externalsources Field. Type: List. (joomla) -->
		<field
			type="list"
			name="externalsources"
			label="COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_EXTERNALSOURCES_LABEL"
			description="COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_EXTERNALSOURCES_DESCRIPTION"
			class="list_class"
			multiple="false"
			filter="INT"
			required="true"
			default="1">
			<!-- Option Set. -->
			<option value="">
				COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_SELECT_AN_OPTION</option>
			<option value="1">
				COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_DROPBOX</option>
		</field>
		<!-- Update_method Field. Type: Radio. (joomla) -->
		<field
			type="radio"
			name="update_method"
			label="COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_UPDATE_METHOD_LABEL"
			description="COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_UPDATE_METHOD_DESCRIPTION"
			class="btn-group btn-group-yesno"
			default=""
			required="true">
			<!-- Option Set. -->
			<option value="1">
				COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_MANUAL</option>
			<option value="2">
				COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_AUTOMATIC</option>
		</field>
		<!-- Filetypes Field. Type: List. (joomla) -->
		<field
			type="list"
			name="filetypes"
			label="COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_FILETYPES_LABEL"
			description="COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_FILETYPES_DESCRIPTION"
			class="list_class"
			multiple="true"
			filter="ARRAY"
			required="true"
			default="0">
			<!-- Option Set. -->
			<option value=".mp3">
				COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_MP3</option>
			<option value=".m4a">
				COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_M4A</option>
			<option value=".ogg">
				COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_OGG</option>
			<option value=".wav">
				COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_WAV</option>
			<option value=".mp4">
				COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_MP4</option>
			<option value=".m4v">
				COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_M4V</option>
			<option value=".mov">
				COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_MOV</option>
			<option value=".wmv">
				COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_WMV</option>
			<option value=".avi">
				COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_AVI</option>
			<option value=".mpg">
				COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_MPG</option>
			<option value=".ogv">
				COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_OGV</option>
			<option value=".3gp">
				COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_3GP</option>
			<option value=".3g2">
				COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_3G2</option>
			<option value=".pdf">
				COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_PDF</option>
			<option value=".doc">
				COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_DOC</option>
			<option value=".docx">
				COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_DOCX</option>
			<option value=".ppt">
				COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_PPT</option>
			<option value=".pptx">
				COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_PPTX</option>
			<option value=".pps">
				COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_PPS</option>
			<option value=".ppsx">
				COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_PPSX</option>
			<option value=".odt">
				COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_ODT</option>
			<option value=".xls">
				COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_XLS</option>
			<option value=".xlsx">
				COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_XLSX</option>
			<option value=".zip">
				COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_ZIP</option>
			<option value=".jpg">
				COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_JPG</option>
			<option value=".jpeg">
				COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_JPEG</option>
			<option value=".png">
				COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_PNG</option>
			<option value=".gif">
				COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_GIF</option>
		</field>
		<!-- Build Field. Type: List. (joomla) -->
		<field
			type="list"
			name="build"
			label="COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_BUILD_LABEL"
			description="COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_BUILD_DESCRIPTION"
			class="list_class"
			multiple="false"
			filter="INT"
			required="true"
			default="">
			<!-- Option Set. -->
			<option value="">
				COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_SELECT_AN_OPTION</option>
			<option value="1">
				COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_MANUAL_LOCAL_SELECTION</option>
			<option value="2">
				COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_DYNAMIC_AUTOMATIC_BUILD</option>
		</field>
		<!-- Not_required Field. Type: Hidden. (joomla) -->
		<field
			type="hidden"
			name="not_required"
			default="一_一"
		/>
		<!-- Apicronjob_note Field. Type: Note. A None Database Field. (joomla) -->
		<field type="note" name="apicronjob_note" label="COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_APICRONJOB_NOTE_LABEL" description="COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_APICRONJOB_NOTE_DESCRIPTION" heading="h4" class="apicronjob_note" />
		<!-- Folder Field. Type: Repeatable. (joomla) -->
		<field
			type="repeatable"
			name="folder"
			label="COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_FOLDER_LABEL"
			description="COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_FOLDER_DESCRIPTION"
			default=""
			id="folder"
			class="folders"
			select="COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_FOLDER_SELECT"
			icon="list"
			maximum="10">
			<fields name="folder_fields" label="">
				<fieldset hidden="true" name="folder_modal" repeat="true">
					<!-- Tfolder Field. Type: Text. (joomla) -->
					<field
						type="text"
						name="tfolder"
						label="COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_TFOLDER_LABEL"
						size="40"
						maxlength="150"
						description="COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_TFOLDER_DESCRIPTION"
						class="text_area span12"
						filter="PATH"
						message="COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_TFOLDER_MESSAGE"
						hint="COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_TFOLDER_HINT"
					/>
				</fieldset>
			</fields>
		</field>
		<!-- Generated_access_token_note Field. Type: Note. A None Database Field. (joomla) -->
		<field type="note" name="generated_access_token_note" label="COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_GENERATED_ACCESS_TOKEN_NOTE_LABEL" description="COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_GENERATED_ACCESS_TOKEN_NOTE_DESCRIPTION" heading="h4" class="alert alert-info generated_access_token_note" />
		<!-- Update_timer Field. Type: Integer. (joomla) -->
		<field
			type="integer"
			name="update_timer"
			label="COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_UPDATE_TIMER_LABEL"
			default="60"
			description="COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_UPDATE_TIMER_DESCRIPTION"
			class="text_area"
			required="true"
			first="60"
			last="50000"
			step="10"
		/>
		<!-- Dropboxoptions Field. Type: Radio. (joomla) -->
		<field
			type="radio"
			name="dropboxoptions"
			label="COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_DROPBOXOPTIONS_LABEL"
			description="COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_DROPBOXOPTIONS_DESCRIPTION"
			class="btn-group btn-group-yesno"
			default="1">
			<!-- Option Set. -->
			<option value="1">
				COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_SHARED_URL</option>
			<option value="2">
				COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_FOLDER_PATH</option>
		</field>
		<!-- App_limitation_note Field. Type: Note. A None Database Field. (joomla) -->
		<field type="note" name="app_limitation_note" description="COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_APP_LIMITATION_NOTE_DESCRIPTION" class="app_limitation_note" />
		<!-- Permissiontype Field. Type: Radio. (joomla) -->
		<field
			type="radio"
			name="permissiontype"
			label="COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_PERMISSIONTYPE_LABEL"
			description="COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_PERMISSIONTYPE_DESCRIPTION"
			class="btn-group btn-group-yesno"
			default="app">
			<!-- Option Set. -->
			<option value="full">
				COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_FULL_DROPBOX</option>
			<option value="app">
				COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_APP_FOLDER</option>
		</field>
		<!-- Note_manual_externalsource Field. Type: Note. A None Database Field. (joomla) -->
		<field type="note" name="note_manual_externalsource" label="COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_NOTE_MANUAL_EXTERNALSOURCE_LABEL" description="COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_NOTE_MANUAL_EXTERNALSOURCE_DESCRIPTION" heading="h4" class="alert alert-info note_manual_externalsource" />
		<!-- Sharedurl Field. Type: Repeatable. (joomla) -->
		<field
			type="repeatable"
			name="sharedurl"
			label="COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_SHAREDURL_LABEL"
			description="COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_SHAREDURL_DESCRIPTION"
			default=""
			id="sharedurl"
			class="sharedurls"
			select="COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_SHAREDURL_SELECT"
			icon="list"
			maximum="10">
			<fields name="sharedurl_fields" label="">
				<fieldset hidden="true" name="sharedurl_modal" repeat="true">
					<!-- Tsharedurl Field. Type: Url. (joomla) -->
					<field
						type="url"
						name="tsharedurl"
						label="COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_TSHAREDURL_LABEL"
						size="40"
						maxlength="120"
						default=""
						description="COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_TSHAREDURL_DESCRIPTION"
						class="text_area span12"
						required="false"
						filter="url"
						validated="url"
						message="COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_TSHAREDURL_MESSAGE"
						hint="COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_TSHAREDURL_HINT"
					/>
				</fieldset>
			</fields>
		</field>
		<!-- Note_auto_externalsource Field. Type: Note. A None Database Field. (joomla) -->
		<field type="note" name="note_auto_externalsource" label="COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_NOTE_AUTO_EXTERNALSOURCE_LABEL" description="COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_NOTE_AUTO_EXTERNALSOURCE_DESCRIPTION" heading="h4" class="alert alert-info note_auto_externalsource" />
		<!-- Oauthtoken Field. Type: Text. (joomla) -->
		<field
			type="text"
			name="oauthtoken"
			label="COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_OAUTHTOKEN_LABEL"
			size="250"
			maxlength="250"
			default=""
			description="COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_OAUTHTOKEN_DESCRIPTION"
			class="text_area"
			required="true"
			filter="STRING"
			message="COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_OAUTHTOKEN_MESSAGE"
			hint="COM_SERMONDISTRIBUTOR_EXTERNAL_SOURCE_OAUTHTOKEN_HINT"
		/>
	</fieldset>

	<!-- Access Control Fields. -->
	<fieldset name="accesscontrol">
		<!-- Asset Id Field. Type: Hidden (joomla) -->
		<field
			name="asset_id"
			type="hidden"
			filter="unset"
		/>
		<!-- Rules Field. Type: Rules (joomla) -->
		<field
			name="rules"
			type="rules"
			label="Permissions in relation to this external_source"
			translate_label="false"
			filter="rules"
			validate="rules"
			class="inputbox"
			component="com_sermondistributor"
			section="external_source"
		/>
	</fieldset>
</form>